<mat-accordion>
  <mat-expansion-panel>
    <mat-expansion-panel-header>
      Comments ({{ comments?.length }})
    </mat-expansion-panel-header>
    <mat-card *ngFor="let comment of comments" class="mat-elevation-z5 mt-8">
      <h6>{{ comment.author?.local?.username }} {{ user?._id === comment.author._id ? '(you)' : ''}}</h6>
      <small style="font-size: 10px; float: right;"
             title="{{ moment(comment.createdAt).format('LLL') }}">{{ moment(comment.createdAt).fromNow() }}</small>
      <hr>
      <article>
        {{ comment.comment }}
      </article>
      <button *ngIf="user?._id === comment.author._id" color="warn" mat-button style="float:right">Delete</button>
      <br>
    </mat-card>

  </mat-expansion-panel>
</mat-accordion>
